OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKBinL
BinMNaming

# BinMNaming_NamedShapeDriver Class Reference

NamedShape Attribute Driver.
.

`#include <BinMNaming_NamedShapeDriver.hxx>`

Inheritance diagram for BinMNaming_NamedShapeDriver:

[legend]

## Public Member Functions
Standard_EXPORT | BinMNaming_NamedShapeDriver (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Creates a new attribute from TDF. .
Standard_EXPORT Standard_Boolean | Paste (const BinObjMgt_Persistent &Source, const Handle(TDF_Attribute)&Target, BinObjMgt_RRelocationTable &RelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Source, BinObjMgt_Persistent &Target, BinObjMgt_SRelocationTable &RelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
Standard_EXPORT void | ReadShapeSection (Standard_IStream &theIS)
| Input the shapes from Bin Document file .
Standard_EXPORT void | WriteShapeSection (Standard_OStream &theOS)
| Output the shapes into Bin Document file .
Standard_EXPORT void | Clear ()
| Clear myShapeSet .
void | SetFormatNb (const Standard_Integer theFormat)
| set the format of topology First : does not write CurveOnSurface UV Points into the file on reading calls Check() method. Second: stores CurveOnSurface UV Points.
Standard_Integer | GetFormatNb () const
| get the format of topology
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
BinTools_ShapeSet | myShapeSet
Standard_Integer | myFormatNb

## Constructor & Destructor Documentation

Standard_EXPORT BinMNaming_NamedShapeDriver::BinMNaming_NamedShapeDriver | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) |

## Member Function Documentation

Standard_EXPORT void BinMNaming_NamedShapeDriver::Clear | ( |  | ) |

Standard_Integer BinMNaming_NamedShapeDriver::GetFormatNb | ( |  | ) | const`[inline]`

Standard_EXPORT const BinMNaming_NamedShapeDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from BinMDF_ADriver.

Standard_EXPORT Handle_TDF_Attribute BinMNaming_NamedShapeDriver::NewEmpty | ( |  | ) | const`[virtual]`

| Implements BinMDF_ADriver.

Standard_EXPORT void BinMNaming_NamedShapeDriver::Paste | ( | const Handle(TDF_Attribute)& | Source,
|  | BinObjMgt_Persistent & | Target,
|  | BinObjMgt_SRelocationTable & | RelocTable
| ) | const`[virtual]`

| Implements BinMDF_ADriver.

Standard_EXPORT Standard_Boolean BinMNaming_NamedShapeDriver::Paste | ( | const BinObjMgt_Persistent & | Source,
|  | const Handle(TDF_Attribute)& | Target,
|  | BinObjMgt_RRelocationTable & | RelocTable
| ) | const`[virtual]`

| Implements BinMDF_ADriver.

Standard_EXPORT void BinMNaming_NamedShapeDriver::ReadShapeSection | ( | Standard_IStream & | theIS | ) |

void BinMNaming_NamedShapeDriver::SetFormatNb | ( | const Standard_Integer | theFormat | ) | `[inline]`

Standard_EXPORT void BinMNaming_NamedShapeDriver::WriteShapeSection | ( | Standard_OStream & | theOS | ) |

## Field Documentation

Standard_Integer BinMNaming_NamedShapeDriver::myFormatNb`[private]`

BinTools_ShapeSet BinMNaming_NamedShapeDriver::myShapeSet`[private]`

The documentation for this class was generated from the following files:

- BinMNaming_NamedShapeDriver.hxx
- BinMNaming_NamedShapeDriver.lxx